/* ==========FONT GOOGLE========== */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800;900&display=swap");

:root {
  --latar_belakang: #000000;
  --warna1: #ffffff;
  --warna2: #8d878f;
  --warna3: black;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

html {
  scroll-behavior: smooth;
  font-size: 62.5%;
}

body {
  color: var(--warna1);
  background: var(--latar_belakang);
  overflow-x: hidden;
}

/* ==========MENGHIAS BAGIAN TAJUK DIMULAI========== */
.tajuk {
  background: var(--latar_belakang);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 2rem 10%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 200;
  line-height: normal;
}

.logo {
  position: relative;
  text-decoration: none;
  font-weight: 600;
  font-size: 2.5rem;
  color: var(--warna1);
  cursor: default;
  opacity: 0;
  animation: geserKanan 1s ease forwards;
  color: #e6e6e6;
}

.logo span {
  color: #7639b3;
}

.navigasi_bar a {
  text-decoration: none;
  display: inline-block;
  font-size: 1.8rem;
  transition: 0.3s;
  margin: 3rem;
  font-weight: 500;
  color: var(--warna1);
  opacity: 0;
  animation: geserAtas 0.5s ease forwards;
  animation-delay: calc(0.2s * var(--i));
  color: #ae2ee0;
}

.navigasi_bar span {
  color: #ffffff;
}

.navigasi_bar a:hover,
.navigasi_bar a.aktif {
  color: var(--warna2);
}

#menu-ikon {
  font-size: 3.6rem;
  color: #fff;
  cursor: pointer;
  display: none;
}

/* ==========MENGHIAS BAGIAN TAJUK DIAKHIRI========== */

/* ==========MENGHIAS BAGIAN BERANDA DIMULAI========== */
.beranda {
  position: relative;
  width: 100%;
  min-height: 100vh;
  display: flex;
  align-items: center;
  padding: 7rem 10% 0;
}

.konten_beranda {
  max-width: 60rem;
  position: relative;
  margin-left: -1000px;
}

.konten_beranda img {
  width: 40rem;
  position: absolute;
  top: -10px;
  left: 1000px;
  border-radius: 10%;
  opacity: 0;
  animation: geserKiri 1s ease forwards;
  animation-delay: 2.5s;
}

.konten_beranda h3 {
  font-size: 3.5rem;
  font-weight: 700;
  opacity: 0;
  animation: geserBawah 1s ease forwards;
  animation-delay: 0.7s;
}

.konten_beranda h3 span {
  color: var(--warna2);
  font-weight: 700;
}

.konten_beranda h3:nth-of-type(2) {
  margin-bottom: 3rem;
  animation: geserAtas 1s ease forwards;
  animation-delay: 0.7s;
}

.konten_beranda h1 {
  font-size: 5rem;
  font-weight: 700;
  margin: -0.3rem 0;
  opacity: 0;
  animation: geserKanan 1s ease forwards;
  animation-delay: 1s;
  color: #f0f0f0;
}

.konten_beranda h1 span {
  color: #8916e7;
}

.konten_beranda p {
  font-size: 2rem;
  color: var(--warna2);
  opacity: 0;
  animation: geserKiri 1s ease forwards;
  animation-delay: 1s;
  color: #e6e6e6;
}

.beranda_sci a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 3.5rem;
  height: 3.5rem;
  background: transparent;
  border: 0.2rem solid var(--warna1);
  border-radius: 50%;
  font-size: 2rem;
  color: var(--warna1);
  text-decoration: none;
  margin: 3rem 1rem 3rem 0;
  transition: 0.5s ease;
  opacity: 0;
  animation: geserKiri 1s ease forwards;
  animation-delay: calc(0.2s * var(--i));
}

.beranda_sci a:hover {
  background: var(--warna1);
  color: var(--warna3);
  box-shadow: 0 0 2rem var(--warna2);
}

.tombol1 {
  display: inline-block;
  background: var(--warna1);
  text-decoration: none;
  padding: 1.2rem 2.8rem;
  border-radius: 4.5rem;
  font-size: 1.8rem;
  color: var(--warna3);
  letter-spacing: 0.1rem;
  font-weight: 600;
  opacity: 0;
  animation: geserAtas 1s ease forwards;
  animation-delay: 2s;
  box-shadow: 0 0 0.5rem var(--warna1), 0 0 2.5rem var(--warna1);
  color: #9600e0;
}

.tombol1:hover {
  box-shadow: 0 0 0.5rem var(--warna1), 0 0 2.5rem var(--warna1),
    0 0 5rem var(--warna1), 0 0 10rem var(--warna1);
  color: #9737e6;
}

/* ==========MENGHIAS BAGIAN BERANDA DIAKHIRI========== */

/* ==========MENGHIAS BAGIAN TENTANG SAYA DIMULAI========== */
/*
 * Kode CSS utama untuk bagian "Tentang Saya"
 * Gunakan ini untuk tampilan desktop
 */
.tentang_saya {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 1.5rem;
  padding: 0 5%;
}

.gambar img {
  max-width: 40rem;
  height: auto;
  width: 100%;
  border-radius: 0.8rem;
  margin: 15rem auto 0;
  display: block;
}

.teks1 {
  margin-left: -10rem;
}

.teks1 h2 {
  font-size: 6rem;
  color: #9737e6;
}

.teks1 h2 span {
  color: #f0ebf5;
}

.teks1 h4 {
  font-size: 2rem;
  font-weight: 600;
  color: var(--warna1);
  line-height: 1.7;
  margin: 1.5rem 0 3rem;
}

.teks1 p {
  color: var(--warna2);
  font-size: 2rem;
  line-height: 1.4;
  margin-bottom: 4rem;
  color: #fffffe;
}

/*
 * Media Queries untuk perangkat tablet (ukuran layar < 992px)
 */
@media (max-width: 991px) {
  .tentang_saya {
    grid-template-columns: 1fr; /* Ubah menjadi satu kolom */
    text-align: center;
    padding: 5rem 5%;
  }

  .gambar img {
    margin: 0 auto 2rem; /* Pusatkan gambar */
    max-width: 80%;
  }

  .teks1 {
    margin-left: 0; /* Hapus margin kiri */
    width: 100%;
  }

  .teks1 h2 {
    font-size: 5rem;
  }
}

/*
 * Media Queries untuk perangkat mobile (ukuran layar < 768px)
 */
@media (max-width: 768px) {
  .tentang_saya {
    padding: 3rem 3%;
  }

  .teks1 h2 {
    font-size: 4rem;
  }

  .teks1 h4,
  .teks1 p {
    font-size: 1.6rem;
  }
}

/*
 * Media Queries untuk perangkat mobile kecil (ukuran layar < 450px)
 */
@media (max-width: 450px) {
  .teks1 h2 {
    font-size: 3.5rem;
  }
}

/* ==========MENGHIAS BAGIAN TENTANG SAYA DIAKHIRI========== */

/* ==========MENGHIAS BAGIAN LAYANAN DIMULAI========== */
.layanan {
  color: var(--warna1);
  font-size: 2rem;
  line-height: 1.4;
  margin-bottom: 10rem;
}

.sub_judul {
  text-align: center;
  font-size: 6rem;
  padding-bottom: 7rem;
}

.sub_judul span {
  color: var(--warna2);
}

.wadah {
  padding: 9rem;
}

.daftar_layanan {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25.9rem, 1fr));
  grid-gap: 4rem;
  margin-top: 5rem;
}

.daftar_layanan div {
  background-color: transparent;
  padding: 4rem;
  font-size: 1.3rem;
  font-weight: 1.3rem;
  border-radius: 2rem;
  border-right: 1rem;
  transition: background 0.5s, transform 0.5s;
  box-shadow: 0.1rem 0.1rem 2rem var(--warna1), 0.1rem 0.1rem 3rem var(--warna2);
}

.daftar_layanan div i {
  font-size: 5rem;
  margin-bottom: 3rem;
}

.daftar_layanan div h2 {
  font-size: 3rem;
  font-weight: 500;
  margin-bottom: 1.5rem;
}

.daftar_layanan div a {
  text-decoration: none;
  color: var(--warna2);
  font-size: 1.2rem;
  margin-top: 2rem;
  display: inline-block;
}

.baca {
  display: inline-block;
  padding: 1.2rem 2rem;
  background: var(--warna1);
  border-radius: 4rem;
  font-size: 1.6rem;
  color: black;
  letter-spacing: 0.1rem;
  text-decoration: none;
  font-weight: 600;
  opacity: 0;
  animation: geserAtas 1s ease forwards;
  animation-delay: 2s;
  box-shadow: 0 0 0.5rem var(--warna1), 0 0 2.5rem var(--warna1);
}

.baca:hover {
  color: #0f0e17;
  box-shadow: 0 0 0.5rem var(--warna1), 0 0 2.5rem var(--warna1),
    0 0 5rem var(--warna1), 0 0 10rem var(--warna1);
}

.daftar_layanan div:hover {
  transform: translateY(-1rem);
}

/* ==========MENGHIAS BAGIAN LAYANAN DIAKHIRI========== */

/* ==========MENGHIAS BAGIAN KETERAMPILAN DIMULAI========== */
section {
  display: flex;
  gap: 3rem;
  justify-content: center;
  flex-wrap: wrap;
  padding: 2rem 0;
}

.wadah2 {
  width: 60rem;
  padding: 7.5rem 9rem;
  background-color: #7639b3;
  border-radius: 1rem;
  box-shadow: 0 0.4rem 0.8rem rgba(0, 0, 0, 0.1);
}

.tajuk2 {
  text-align: center;
  text-decoration: underline;
  text-underline-offset: 1rem;
  text-decoration-thickness: 0.5rem;
  margin-bottom: 5rem;
}

.bar {
  font-size: 2.3rem;
  display: flex;
  align-items: center;
}

.bar i {
  margin-right: 1.5rem;
}

.teknis .bar {
  margin: 4rem 0;
}

.teknis .bar:first-child {
  margin-top: 0;
}

.teknis .bar:last-child {
  margin-bottom: 0;
}

.teknis .bar .info {
  flex-grow: 1;
}

.teknis .bar .info span {
  font-size: 1.7rem;
  font-weight: 500;
  animation: teksMuncul 0.5s 1s linear forwards;
  opacity: 0;
}

.teknis .bar .kemajuan {
  position: relative;
  border-radius: 1rem;
  width: 100%;
  height: 0.5rem;
  background-color: #e0e0e0;
  animation: animasi 1s cubic-bezier(1, 0, 0.5, 1) forwards;
  transform: scaleX(0);
  transform-origin: left;
}

.teknis .bar .kemajuan span {
  height: 100%;
  background-color: var(--warna2);
  position: absolute;
  border-radius: 1rem;
  animation: animasi 1s 1s cubic-bezier(1, 0, 0.5, 1) forwards;
  transform: scaleX(0);
  transform-origin: left;
}

.kemajuan.html span {
  width: 50%;
}

.kemajuan.css span {
  width: 50%;
}

.kemajuan.javascript span {
  width: 25%;
}

.kemajuan.php span {
  width: 25%;
}

.kemajuan.react span {
  width: 0%;
}

.kemajuan.nodejs span {
  width: 0%;
}

.kemajuan.mongodb span {
  width: 0%;
}

.kemajuan.expressjs span {
  width: 0%;
}

.kemajuan span::after {
  position: absolute;
  padding: 0.1rem 0.8rem;
  background-color: black;
  color: rgb(109, 17, 215);
  font-size: 1.2rem;
  border-radius: 0.3rem;
  top: -2.8rem;
  right: -2rem;
  animation: teksMuncul 0.5s 1.5s linear forwards;
  opacity: 0;
}

.kemajuan.html span::after {
  content: "50%";
}

.kemajuan.css span::after {
  content: "50%";
}

.kemajuan.javascript span::after {
  content: "25%";
}

.kemajuan.php span::after {
  content: "25%";
}

.kemajuan.react span::after {
  content: "0%";
}

.kemajuan.nodejs span::after {
  content: "0%";
}

.kemajuan.mongodb span::after {
  content: "0%";
}

.kemajuan.expressjs span::after {
  content: "0%";
}

.kemajuan span::before {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  border: 0.7rem solid transparent;
  border-bottom-width: 0;
  border-right-width: 0;
  border-top-color: black;
  top: -1rem;
  right: 0;
  animation: teksMuncul 0.5s 1.5s linear forwards;
}

.radial {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: flex-start;
}

.radial .bar_radial {
  width: 50%;
  height: 17rem;
  margin-bottom: 1rem;
  position: relative;
}

.radial .bar_radial svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-90deg);
  width: 12rem;
  height: 16rem;
}

.radial .bar_radial .kemajuan2 {
  stroke-width: 1rem;
  stroke: black;
  fill: transparent;
  stroke-dasharray: 50.2rem;
  stroke-dashoffset: 50.2rem;
  stroke-linecap: round;
  animation: barGerak 1s linear forwards;
}

.lokasi {
  stroke-width: 1rem;
  stroke: var(--warna2);
  fill: transparent;
  stroke-dasharray: 50.2rem;
  stroke-dashoffset: 50.2rem;
  stroke-linecap: round;
}

.radial-1 {
  animation: animasiRadial1 1s 1s linear forwards;
}

.radial-2 {
  animation: animasiRadial2 1s 1s linear forwards;
}

.radial-3 {
  animation: animasiRadial3 1s 1s linear forwards;
}

.radial-4 {
  animation: animasiRadial4 1s 1s linear forwards;
}

.bar_radial .persentase {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 1.7rem;
  font-weight: 500;
  animation: teksMuncul 0.5s 1s linear forwards;
  opacity: 0;
}

.bar_radial .teks {
  width: 100%;
  position: absolute;
  text-align: center;
  left: 50%;
  bottom: -0.5rem;
  transform: translateX(-50%);
  font-size: 1.7rem;
  font-weight: 500;
  animation: teksMuncul 0.5s 1s linear forwards;
  opacity: 0;
}

@keyframes animasi {
  0% {
    transform: scaleX(0);
  }
  100% {
    transform: scaleX(1);
  }
}

@keyframes teksMuncul {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes animasiRadial1 {
  100% {
    stroke-dashoffset: calc(502 * (1 - 0.7));
  }
}

@keyframes animasiRadial2 {
  100% {
    stroke-dashoffset: calc(502 * (1 - 0.65));
  }
}

@keyframes animasiRadial3 {
  100% {
    stroke-dashoffset: calc(502 * (1 - 0.7));
  }
}

@keyframes animasiRadial4 {
  100% {
    stroke-dashoffset: calc(502 * (1 - 0.75));
  }
}

/* ==========MENGHIAS BAGIAN KETERAMPILAN DIAKHIRI========== */

/* ==========MENGHIAS BAGIAN PROJEK DIMULAI========== */
.teks_utama {
  padding-top: 13rem;
  margin-top: -20rem;
}

.teks_utama h2 {
  font-size: 6rem;
  line-height: 1;
  text-align: center;
}

.teks_utama h2 span {
  color: var(--warna2);
}

.konten_projek {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(35rem, auto));
  gap: 1rem;
  margin: 3rem 0;
}

.baris {
  position: relative;
  overflow: hidden;
  border-radius: 0.8rem;
  cursor: pointer;
}

.baris img {
  width: 100%;
  border-radius: 0.8rem;
  display: block;
  transition: transform 0.5s;
}

.lapisan {
  width: 100%;
  height: 0;
  background: linear-gradient(rgba(0, 0, 0, 0.1), #fffffe);
  position: absolute;
  border-radius: 0.8rem;
  left: 0;
  bottom: 0;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 0 4rem;
  transition: height 0.5s;
}

.lapisan h5 {
  color: black;
  font-size: 2rem;
  font-weight: 600;
  margin-bottom: 1.5rem;
}

.lapisan p {
  color: black;
  font-size: 1rem;
  line-height: 1.8;
}

.lapisan a {
  text-decoration: none;
}

.lapisan i {
  color: #ff004f;
  margin-top: 2rem;
  font-size: 2rem;
  background: var(--warna2);
  width: 6rem;
  height: 6rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
}

.baris:hover img {
  transform: scale(1.1);
}

.baris:hover .lapisan {
  height: 100%;
}

/* ==========MENGHIAS BAGIAN PROJEK DIAKHIRI========== */

/* ==========MENGHIAS BAGIAN KONTAK DIMULAI========== */
.kontak {
  padding-top: 7rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 3rem;
  padding-left: 3rem;
  margin-top: 13rem;
}

.teks_kontak h2 {
  font-size: 9rem;
  line-height: 1;
  align-items: center;
}

.teks_kontak h2 span {
  color: var(--warna2);
}

.teks_kontak h4 {
  margin: 1.5rem 0;
  color: var(--warna1);
  font-size: 2rem;
  font-weight: 600;
}

.teks_kontak p {
  color: var(--warna2);
  font-size: 2rem;
  line-height: 3rem;
  margin-bottom: 2rem;
}

.daftar_kontak {
  margin-bottom: 3rem;
}

.daftar_kontak li {
  margin-bottom: 1rem;
  display: block;
  font-size: 1.6rem;
}

.daftar_kontak i {
  display: inline-block;
  color: var(--warna2);
  font-size: 2rem;
  font-weight: 600;
  transition: all 0.4s ease;
}

.daftar_kontak li a:hover {
  transform: scale(1.01) translateY(-0.5rem);
  color: var(--warna2);
}

.ikon_kontak a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 4rem;
  height: 4rem;
  background: transparent;
  border: 0.2rem solid var(--warna2);
  border-radius: 50%;
  font-size: 2rem;
  color: var(--warna2);
  text-decoration: none;
  margin: 3rem 1.5rem 1rem 0;
  transition: 0.5s ease;
  opacity: 0;
  animation: geserKiri 1s ease forwards;
  animation-delay: calc(0.2s * var(--i));
}

.ikon_kontak a:hover {
  background: var(--warna1);
  color: var(--warna3);
  box-shadow: 0 0 2rem var(--warna2);
}

.daftar_kontak i:hover {
  background: var(--warna2);
  color: var(--warna1);
  box-shadow: 0 0 2rem var(--warna2);
}

.formulir_kontak form {
  position: relative;
}

.formulir_kontak form input,
form textarea {
  border: none;
  outline: none;
  width: 90%;
  padding: 1rem;
  background: var(--warna3);
  color: white;
  font-size: 1.6rem;
  font-weight: 600;
  margin-bottom: 0.5rem;
  border-radius: 0.5rem;
}

.formulir_kontak textarea {
  resize: none;
  height: 22rem;
}

.formulir_kontak form .kirim {
  display: inline-block;
  padding: 1.4rem 6rem;
  background: var(--warna1);
  border-radius: 4rem;
  font-size: 1.8rem;
  color: black;
  letter-spacing: 0.1rem;
  text-decoration: none;
  font-weight: 600;
  opacity: 0;
  animation: geserAtas 1s ease forwards;
  animation-delay: 2s;
  box-shadow: 0 0 0.5rem var(--warna1), 0 0 2.5rem var(--warna1);
}

.formulir_kontak form .kirim:hover {
  box-shadow: 0 0 0.5rem var(--warna1), 0 0 2.5rem var(--warna1),
    0 0 5rem var(--warna1), 0 0 10rem var(--warna1);
}

/* ==========MENGHIAS BAGIAN KONTAK DIAKHIRI========== */

/* ==========MENGHIAS BAGIAN HAKCIPTA========== */
.hak_cipta {
  width: 100%;
  text-align: center;
  padding: 2.5rem 0;
  background: var(--latar_belakang);
  font-weight: 300;
  margin-top: 7rem;
  font-size: 1.4rem;
}

.atas {
  position: fixed;
  bottom: 2.1rem;
  right: 2.1rem;
}

.atas i {
  color: var(--warna1);
  background-color: var(--latar_belakang);
  font-size: 2rem;
  padding: 1rem;
  border-radius: 0.5rem;
}

/* ==========MENGHIAS BAGIAN HAKCIPTA========== */

/* ==========KUMPULAN ANIMASI DIMULAI========== */
@keyframes geserKanan {
  0% {
    transform: translateX(-10rem);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes geserKiri {
  0% {
    transform: translateX(10rem);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes geserAtas {
  0% {
    transform: translateY(10rem);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes geserBawah {
  0% {
    transform: translateY(-10rem);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes animasi {
  100% {
    transform: scaleX(1);
  }
}

@keyframes teksMuncul {
  100% {
    opacity: 1;
  }
}

@keyframes barGerak {
  100% {
    stroke-dashoffset: -1;
  }
}

@keyframes animasiRadial1 {
  100% {
    stroke-dashoffset: calc(502 * (1 - 0.7));
  }
}

@keyframes animasiRadial2 {
  100% {
    stroke-dashoffset: calc(502 * (1 - 0.65));
  }
}

@keyframes animasiRadial3 {
  100% {
    stroke-dashoffset: calc(502 * (1 - 0.7));
  }
}

@keyframes animasiRadial4 {
  100% {
    stroke-dashoffset: calc(502 * (1 - 0.75));
  }
}

/* ==========KUMPULAN ANIMASI DIAKHIRI========== */

/* ==========MEDIA QUERIES UNTUK DESAIN RESPONSIVE========== */
@media screen and (max-width: 991px) {
  html {
    font-size: 55%;
  }

  .tajuk {
    padding: 2rem 3%;
    line-height: normal;
  }

  .navigasi_bar {
    position: absolute;
    top: 100%;
    right: -100%;
    width: 30rem;
    height: 100vh;
    background: #191f36;
    padding: 1rem 3%;
    transition: 0.3s ease;
  }

  .navigasi_bar.aktif {
    right: 0;
  }

  .navigasi_bar a {
    display: block;
    font-size: 2.2rem;
    margin: 3rem 0;
    color: #fff;
  }

  #menu-ikon {
    display: block;
  }

  .beranda {
    flex-direction: column-reverse;
    text-align: center;
    padding: 10rem 3% 5rem;
  }

  .konten_beranda {
    max-width: 100%;
    margin-left: 0;
  }

  .konten_beranda h1 {
    font-size: 5rem;
  }

  .konten_beranda h3 {
    font-size: 3.5rem;
  }

  .konten_beranda img {
    position: static;
    width: 80%;
    margin-top: 2rem;
  }

  .tentang_saya {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .tentang_saya .gambar {
    width: 100%;
    margin-bottom: 2rem;
  }

  .tentang_saya .gambar img {
    margin-left: 0;
    padding: 0;
    max-width: 80%;
  }

  .tentang_saya .teks {
    width: 100%;
  }

  .sub_judul {
    font-size: 5rem;
  }

  .wadah {
    padding: 9rem 3%;
  }

  .daftar_layanan {
    grid-template-columns: 1fr;
    gap: 3rem;
  }

  .wadah2 {
    width: 100%;
    padding: 5rem 3rem;
  }

  .radial {
    flex-direction: column;
    align-items: center;
  }

  .radial .bar_radial {
    width: 100%;
  }

  .konten_projek {
    grid-template-columns: 1fr;
    gap: 3rem;
  }

  .kontak {
    grid-template-columns: 1fr;
    padding-left: 3%;
  }

  .teks_kontak h2 {
    font-size: 6rem;
  }

  .formulir_kontak form input,
  .formulir_kontak form textarea {
    width: 100%;
  }
}

@media screen and (max-width: 768px) {
  .konten_beranda h1 {
    font-size: 4rem;
  }

  .konten_beranda h3 {
    font-size: 3rem;
  }

  .konten_beranda p {
    font-size: 1.6rem;
  }

  .daftar_layanan div h2 {
    font-size: 2.5rem;
  }

  .daftar_layanan div p {
    font-size: 1.4rem;
  }

  .daftar_layanan div a {
    font-size: 1.4rem;
  }

  .teks h2 {
    font-size: 4rem;
  }

  .teks h4,
  .teks p {
    font-size: 1.6rem;
  }

  .kontak h2 {
    font-size: 5rem;
  }

  .teks_kontak h4,
  .teks_kontak p {
    font-size: 1.6rem;
  }
}

@media screen and (max-width: 450px) {
  html {
    font-size: 50%;
  }
}
